<?xml version="1.0"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- XSL Rule file to WCS 5.1 Extracted Data to Ariba -->

<!-- Variable Name Definations Section Starts -->
   <xsl:param name="CXMLLocation" select="'http://xml.cXML.org/schemas/cXML/1.2.014/cXML.dtd'"/>
   

   <!-- Globle Varibales -->
   
	
   
   <xsl:variable name="RecordSeperator">&#13;</xsl:variable>   
   <xsl:variable name="DefaultLeadTime">999</xsl:variable>      
   <xsl:variable name="DefaultLanguagePrefix">en</xsl:variable>         
   <xsl:variable name="DefaultLanguage">en</xsl:variable>            
   <xsl:variable name="DefaultCountryCode">US</xsl:variable>               
   <xsl:variable name="DefaultCountryTelephoneCode">011</xsl:variable>                     
   <xsl:variable name="DefaultDomain">DUNS</xsl:variable>                        
   <xsl:variable name="DefaultUSLanguage">en-US</xsl:variable>                           
   <xsl:variable name="DefaultComment">SOME COMMENTS</xsl:variable>                              

   <!-- Root Element related Variable Definition -->

   <xsl:variable name="Ariba_Root_Element_Name">cXML</xsl:variable>

   <xsl:variable name="Ariba_Header_Element_Name">Header</xsl:variable>
   <xsl:variable name="Ariba_From_Element_Name">From</xsl:variable>
   <xsl:variable name="Ariba_To_Element_Name">To</xsl:variable>
   <xsl:variable name="Ariba_Sender_Element_Name">Sender</xsl:variable>
   <xsl:variable name="Ariba_Credential_Element_Name">Credential</xsl:variable>
   <xsl:variable name="DefaultRequestPrefix">test</xsl:variable>   
   <xsl:variable name="Ariba_Request_Element_Name">Request</xsl:variable>  
   <xsl:variable name="MasterAgreementRequest_Element_Name">MasterAgreementRequest</xsl:variable>    <xsl:variable name="MasterAgreementRequestHeader">MasterAgreementRequestHeader</xsl:variable>  
   <xsl:variable name="MaxAmount">MaxAmount</xsl:variable>
    <xsl:variable name="MaxReleaseAmount">MaxReleaseAmount</xsl:variable>
    <xsl:variable name="Contact">Contact</xsl:variable>
    <xsl:variable name="role">BuyerLocation</xsl:variable>  
    <xsl:variable name="PostalAddress">PostalAddress</xsl:variable>  
    <xsl:variable name="PostalAddressName">default</xsl:variable> 
    <xsl:variable name="DefaultValOperation">new</xsl:variable> 
    <xsl:variable name="DefaultValType">value</xsl:variable>        
  


    <xsl:variable name="Name">Name</xsl:variable> 
    <xsl:variable name="Comments">Comments</xsl:variable> 
    <xsl:variable name="AgreementItemOut">AgreementItemOut</xsl:variable> 
    <xsl:variable name="maxQuantity">100</xsl:variable>  
    <xsl:variable name="ItemOut">ItemOut</xsl:variable>
    <xsl:variable name="quantity">1</xsl:variable>
    <xsl:variable name="domain">SPSC</xsl:variable>
    <xsl:variable name="Shipping">Shipping</xsl:variable>
     <xsl:variable name="trackingDomain">FedEx</xsl:variable>
     <xsl:variable name="trackingId">1234567890</xsl:variable>



<!-- Supplier related Variable Definitions -->
   <xsl:variable name="Ariba_Supplier_Element_Name">Supplier</xsl:variable>      
   <xsl:variable name="Ariba_SupplierID_Element_Name">SupplierID</xsl:variable>   
   
   <xsl:variable name="Ariba_SupplierLocation_Element_Name">SupplierLocation</xsl:variable>   
   <xsl:variable name="Ariba_SupplierPartID_Element_Name">SupplierPartID</xsl:variable>   
   
   <xsl:variable name="Ariba_Comment_Element_Name">Comments</xsl:variable>   
   
  
   <xsl:variable name="Ariba_Address_Element_Name">Address</xsl:variable>      
   <xsl:variable name="Ariba_Name_Element_Name">Name</xsl:variable>         
   <xsl:variable name="Ariba_PostalAddress_Element_Name">PostalAddress</xsl:variable>            
   <xsl:variable name="Ariba_DeliverTo_Element_Name">DeliverTo</xsl:variable>            
   <xsl:variable name="Ariba_Street_Element_Name">Street</xsl:variable>            
   <xsl:variable name="Ariba_City_Element_Name">City</xsl:variable>            
   <xsl:variable name="Ariba_State_Element_Name">State</xsl:variable>            
   <xsl:variable name="Ariba_PostalCode_Element_Name">PostalCode</xsl:variable>            
   <xsl:variable name="Ariba_Country_Element_Name">Country</xsl:variable>            
   
   <xsl:variable name="Ariba_Email_Element_Name">Email</xsl:variable>         
   
   <xsl:variable name="Ariba_Phone_Element_Name">Phone</xsl:variable>         
   <xsl:variable name="Ariba_TelephoneNumber_Element_Name">TelephoneNumber</xsl:variable>         
   <xsl:variable name="Ariba_CountryCode_Element_Name">CountryCode</xsl:variable>            
   <xsl:variable name="Ariba_AreaOrCityCode_Element_Name">AreaOrCityCode</xsl:variable>               
   <xsl:variable name="Ariba_Number_Element_Name">Number</xsl:variable>            

   <xsl:variable name="Ariba_Fax_Element_Name">Fax</xsl:variable>         
   <xsl:variable name="Ariba_URL_Element_Name">URL</xsl:variable>            
   
   <xsl:variable name="Ariba_OrderMethods_Element_Name">OrderMethods</xsl:variable>           
   <xsl:variable name="Ariba_OrderMethods_OrderMethod_Element_Name">OrderMethod</xsl:variable>              
   <xsl:variable name="Ariba_OrderMethods_OrderMethod_OrderTarget_Element_Name">OrderTarget</xsl:variable>                 
   
   <!-- Index Item related Variable Definition -->   
   <xsl:variable name="Ariba_ItemID_Element_Name">ItemID</xsl:variable>

   <xsl:variable name="Ariba_ItemDetail_Element_Name">ItemDetail</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_UnitPrice_Element_Name">UnitPrice</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_Description_Element_Name">Description</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_UnitOfMeasure_Element_Name">UnitOfMeasure</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_Calssification_Element_Name">Classification</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_ManufacturerPartID_Element_Name">ManufacturerPartID</xsl:variable>   
   <xsl:variable name="Ariba_ItemDetail_ManufacturerName_Element_Name">ManufacturerName</xsl:variable>      
   <xsl:variable name="Ariba_ItemDetail_URL_Element_Name">URL</xsl:variable>                     
   <xsl:variable name="Ariba_ItemDetail_Extrinsic_Element_Name">Extrinsic</xsl:variable>   
   
   <xsl:variable name="Ariba_UnitPrice_Money_Element_Name">Money</xsl:variable>                        

   <xsl:variable name="Ariba_IndexItem_Detail_Element_Name">IndexItemDetail</xsl:variable>
   <xsl:variable name="Ariba_LeadTime_Element_Name">LeadTime</xsl:variable>   

   <!-- Index Item related Variable Definition -->
   <xsl:variable name="Ariba_ItemSegment_Element_Name">ItemSegment</xsl:variable>
   <xsl:variable name="Ariba_ContractItem_Element_Name">ContractItem</xsl:variable>
   
<!-- Variable Name Definations Section Ends -->


<!-- Transformation Rules Section Starts -->

   <!-- Root Element Transformation Rule --> 
  
	<xsl:template match="/">
      <xsl:text disable-output-escaping = "yes">&lt;!DOCTYPE Contract SYSTEM "</xsl:text>
      <xsl:value-of select = "$CXMLLocation"/> 
      <xsl:text disable-output-escaping = "yes">"&gt;</xsl:text>

      <xsl:element name="{$Ariba_Root_Element_Name}">
         <xsl:attribute name = "payloadID"></xsl:attribute>
         <xsl:attribute name = "timestamp"></xsl:attribute> 
	 <xsl:attribute name = "xml:lang" namespace="whatever">
            <xsl:value-of select = "$DefaultUSLanguage"/>                
         </xsl:attribute> 
	  

	<xsl:element name="{$Ariba_Header_Element_Name}">
	<xsl:element name="{$Ariba_From_Element_Name}">
	<xsl:element name="{$Ariba_Credential_Element_Name}">
	 <xsl:attribute name = "domain">
	<xsl:apply-templates select="/descendant::orgcode/@codetype"/>
	</xsl:attribute>
	<xsl:attribute name = "Identity">
         <xsl:apply-templates select="/descendant::orgcode/@code"/>
	</xsl:attribute>
       </xsl:element>
       </xsl:element>
       <xsl:element name="{$Ariba_To_Element_Name}">
       <xsl:element name="{$Ariba_Credential_Element_Name}">
	 <xsl:attribute name = "domain">
	 <xsl:apply-templates select="/descendant::orgcode/@codetype"/>
	</xsl:attribute>
	<xsl:attribute name = "Identity">
         <xsl:apply-templates select="/descendant::orgcode/@code"/>
	</xsl:attribute>
       </xsl:element>
       </xsl:element>
       	<xsl:element name="{$Ariba_Sender_Element_Name}">
	<xsl:attribute name = "UserAgent" ></xsl:attribute>
       <xsl:element name="{$Ariba_Credential_Element_Name}">
	 <xsl:attribute name = "domain">
	<xsl:apply-templates select="/descendant::orgcode/@codetype"/>
	</xsl:attribute>
	<xsl:attribute name = "Identity">
         <xsl:apply-templates select="/descendant::orgcode/@code"/>
	</xsl:attribute>
	<xsl:attribute name = "SharedSecret"></xsl:attribute>
       </xsl:element>
	
       </xsl:element>
       </xsl:element>
	</xsl:element>
       
      <xsl:apply-templates/>
      
      </xsl:template>


<xsl:template match="catentry">


<xsl:variable name="Product_ReferenceNumber">
<xsl:apply-templates select="@catentry_id"/>
</xsl:variable>


<xsl:element name="{$Ariba_Request_Element_Name}">

 <xsl:attribute name = "deploymentMode"  >
                        <xsl:value-of select = "$DefaultRequestPrefix"/>
                     </xsl:attribute> 
<xsl:element name="{$MasterAgreementRequest_Element_Name}"> 
<xsl:element name="{$MasterAgreementRequestHeader}">  
<xsl:attribute name ="agreementID" ></xsl:attribute>
 <xsl:attribute name ="agreementDate" ></xsl:attribute>
<xsl:attribute name ="type" >
<xsl:value-of select = "$DefaultValType"/>

</xsl:attribute>

<xsl:variable name="effdate">
<xsl:apply-templates select="/descendant::offer[attribute::catentry_id=string($Product_ReferenceNumber)]/@startdate"/>
</xsl:variable>

<xsl:variable name="expdate">
<xsl:apply-templates select="/descendant::offer[attribute::catentry_id=string($Product_ReferenceNumber)]/@enddate"/>
</xsl:variable>

<xsl:attribute name ="effectiveDate" >
<xsl:value-of select="$effdate"/>
</xsl:attribute>  

   
<xsl:attribute name ="expirationDate" >
<xsl:value-of select="$expdate"/>
</xsl:attribute> 

 
<xsl:attribute name ="operation">
<xsl:value-of select = "$DefaultValOperation"/>
</xsl:attribute>
<xsl:element name="{$MaxAmount}"> 
 <xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}">   <xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/>                                                
 </xsl:element>                     
 </xsl:element> 
<xsl:element name="{$MaxReleaseAmount}">
<xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}"> 
<xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/> 
</xsl:element>                     
 </xsl:element> 

<!-- contact -->

<xsl:element name="{$Contact}">
<xsl:attribute name = "role"  >
<xsl:value-of select = "$role"/>
</xsl:attribute> 

<xsl:element name="{$Name}">
   <xsl:attribute name = "xml:lang" namespace="whatever" > 
   <xsl:value-of select = "$DefaultLanguagePrefix"/>         
            </xsl:attribute>
</xsl:element>

<xsl:element name="{$PostalAddress}">
<xsl:attribute name = "name"  >
<xsl:value-of select = "$PostalAddressName"/>
</xsl:attribute>
 

<xsl:element name="{$Ariba_DeliverTo_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_Street_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_City_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_State_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_PostalCode_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_Country_Element_Name}">
<xsl:attribute name = "isoCountryCode"  >
<xsl:value-of select = "$DefaultCountryCode"/>
</xsl:attribute>
</xsl:element>

</xsl:element>
</xsl:element>

<xsl:element name="{$Comments}">
   <xsl:attribute name = "xml:lang" namespace="whatever" >                      
  <xsl:value-of select = "$DefaultUSLanguage"/>             
        </xsl:attribute>
</xsl:element>
</xsl:element>


<xsl:element name="{$AgreementItemOut}">
<xsl:attribute name = "maxQuantity"  >
<xsl:value-of select = "$maxQuantity"/>
</xsl:attribute>

<xsl:element name="{$MaxAmount}"> 
 <xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}">                     <xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/>                                                
 </xsl:element>                     
 </xsl:element> 
<xsl:element name="{$MaxReleaseAmount}">
<xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}"> 
<xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/> 
</xsl:element>                     
 </xsl:element> 

<xsl:element name="{$ItemOut}">
<xsl:attribute name = "quantity"  >
<xsl:value-of select = "$quantity"/>
</xsl:attribute>

<xsl:element name="{$Ariba_ItemID_Element_Name}">

<xsl:element name="{$Ariba_SupplierPartID_Element_Name}">
<xsl:apply-templates select="@partnumber"/>
</xsl:element>
</xsl:element>

<xsl:element name="{$Ariba_ItemDetail_Element_Name}">
<xsl:element name="{$Ariba_ItemDetail_UnitPrice_Element_Name}">
<xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}"> 
<xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/> 
</xsl:element>                     
</xsl:element>

<xsl:element name="{$Ariba_ItemDetail_Description_Element_Name}">
<xsl:attribute name = "xml:lang" namespace="whatever">
            <xsl:value-of select = "$DefaultLanguage"/>                
         </xsl:attribute> 
</xsl:element>

<xsl:element name="{$Ariba_ItemDetail_UnitOfMeasure_Element_Name}">
</xsl:element>
<xsl:element name="{$Ariba_ItemDetail_Calssification_Element_Name}">
<xsl:attribute name = "domain" >
            <xsl:apply-templates select="@domain"/>                 
         </xsl:attribute> 
<xsl:apply-templates select="@code"/>
</xsl:element>

<xsl:element name="{$Ariba_ItemDetail_ManufacturerPartID_Element_Name}">
 <xsl:apply-templates select="@mfpartnumber"/>

</xsl:element>
<xsl:element name="{$Ariba_ItemDetail_ManufacturerName_Element_Name}">
<xsl:apply-templates select="@mfname"/>

</xsl:element>
<xsl:element name="{$Ariba_ItemDetail_URL_Element_Name}">
</xsl:element>

</xsl:element>

<xsl:element name="{$Shipping}">
<xsl:attribute name = "trackingDomain" >
            <xsl:value-of select = "$trackingDomain"/>                
         </xsl:attribute> 
<xsl:attribute name = "trackingId" >
            <xsl:value-of select = "$trackingId"/>                
         </xsl:attribute> 
<xsl:element name = "{$Ariba_UnitPrice_Money_Element_Name}"> 
<xsl:attribute name = "currency">
 <xsl:apply-templates select="@currency"/>
 </xsl:attribute>
 <xsl:apply-templates select="@price"/> 
</xsl:element>                     

</xsl:element>

<xsl:element name="{$Comments}">
   <xsl:attribute name = "xml:lang" namespace="whatever" >                      
  <xsl:value-of select = "$DefaultUSLanguage"/>             
        </xsl:attribute>

</xsl:element>



</xsl:element>


</xsl:element>
</xsl:element>
</xsl:element>


</xsl:template>
      



      	
</xsl:stylesheet>