<%

/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*

%><%
	response.setContentType("text/xml");
%><%@ page import="java.sql.*" %><%@ page import="java.util.*" %><%@ page import="com.ibm.commerce.server.WcsApp" %><%@ page import="com.ibm.commerce.server.JSPHelper" %><%


   String hostName = "";
   String statusCode = "";
   String statusText = "";
   String statusMessage = "";
   String commandName = "";
   
   String  xmlEncoding = "";
   String  xmlVersion  = "";
   String  cxmlVersion  = "";
   String  dtd ="";
   String xmlLang ="";

   xmlVersion = "1.0"; 
   xmlEncoding = "UTF-8"; 
   cxmlVersion = "1.1.008"; 
   dtd = "http://xml.cXML.org/schemas/cXML/1.2.014/cXML.dtd"; 

     
   JSPHelper JSPHelp    = new JSPHelper(request);
   statusCode = JSPHelp.getParameter("statusCode");

   response.setStatus( (new Integer(statusCode)).intValue() );

   statusText    = JSPHelp.getParameter("statusText");

   statusMessage = JSPHelp.getParameter("statusMessage");
   if ( statusMessage == null) 
	statusMessage="";
   
   hostName = WcsApp.configProperties.getValue("WebServer/HostName");
   if(hostName == null) hostName = request.getRemoteHost();
   
  
   
   java.sql.Timestamp t = new java.sql.Timestamp(System.currentTimeMillis());
   // modified for defect number 11836
   //String gmtOff = String.valueOf((TimeZone.getDefault().getRawOffset())/3600000);
   //String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + gmtOff + ".00";

   float offset = TimeZone.getDefault().getRawOffset()/3600000f;
   int i = (int)offset;
   String s = ((i >= 0) ? "+" : "") + String.valueOf(i);
   if ((offset - (float)i) != 0)
   {
       s += ":30";
   }
   else
   {
       s += ":00";
   }
   
   String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + s;
   // end of modified for defect number 11836

   String payLoadId=null;
   String currentTime = System.currentTimeMillis()+"";
   long nextValue=0;
   ++nextValue;
   payLoadId = currentTime+"."+ nextValue+"@"+hostName;
   
   String template = "<?xml version=\"" 
                     +xmlVersion +"\" encoding=\"" +xmlEncoding+"\"?>\n"
                     + "<!DOCTYPE cXML SYSTEM \""
                     + dtd +"\">\n"
                     + "<cXML version=\""
                     +cxmlVersion+"\" payloadID=\""
                     +payLoadId+"\" timestamp=\""+ isoTime
                     +"\" xml:lang=\"en-US\">\n"
                     + "    <Response>\n"
                     + "        <Status code=\""
                     +statusCode +"\" text=\""+statusText+"\">"
                     +statusMessage+"</Status>\n"
                     +"    </Response>\n</cXML>";
%>      
<%= template %>
