<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2001-2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%
	response.setContentType("text/xml");
%>

<%@ page import="java.sql.Timestamp" %>
<%@ page import="java.util.TimeZone" %>
<%@ page import="com.ibm.commerce.server.WcsApp" %>
<%@ page import="com.ibm.commerce.server.JSPHelper" %>
<%
   String  xmlEncoding = "";
   String  xmlVersion  = "";
   String  cxmlVersion  = "";
   String  dtd ="";
   String xmlLang ="";
   
   JSPHelper JSPHelp    = new JSPHelper(request);
   String    statusCode = JSPHelp.getParameter("statusCode");
   System.out.println("POS: 1");

   //response.setStatus( (new Integer(statusCode)).intValue() );
   String statusText    = JSPHelp.getParameter("statusText");

   String statusMessage = JSPHelp.getParameter("statusMessage");
   if ( statusMessage == null) 
   {
       statusMessage="";
   }

   
   xmlVersion = "1.0"; 
   xmlEncoding = "UTF-8"; 
   cxmlVersion = "1.1.010"; 
   dtd = "http://xml.cXML.org/schemas/cXML/1.2.014/cXML.dtd"; 
   
   String hostName = WcsApp.configProperties.getValue("WebServer/HostName");
   System.out.println("POS: hostname:"+hostName);
   if(hostName == null) 
   {
       hostName = request.getRemoteHost();
   }
   String punchoutURL = "https://" + hostName + "/webapp/wcs/stores/servlet/";
     
   java.sql.Timestamp t = new java.sql.Timestamp(System.currentTimeMillis());
   
   float offset = TimeZone.getDefault().getRawOffset()/3600000f;
   int i = (int)offset;
   String s = ((i >= 0) ? "+" : "") + String.valueOf(i);
   if ((offset - (float)i) != 0)
   {
       s += ":30";
   }
   else
   {
       s += ":00";
   }
   
   String isoTime = t.toString().substring(0,10) + "T" + t.toString().substring(11,19) + s;
   String payLoadId=null;
   String currentTime = System.currentTimeMillis()+"";
   long nextValue=0;
   ++nextValue;
   payLoadId = currentTime+"."+ nextValue+"@"+hostName;
   
   String template = "<?xml version=\"" 
       + xmlVersion + "\" encoding=\"" +xmlEncoding+"\"?>\n"
       + "<!DOCTYPE cXML SYSTEM \""
       + dtd +"\">\n"
       + "<cXML payloadID=\""
       + payLoadId+"\" timestamp=\""+ isoTime
       +"\" xml:lang=\"en-US\">\n"
       + "  <Response> <Status code=\"200\" text=\"OK\"/>"
       
       + "<ProfileResponse effectiveDate=\"2000-01-01T05:24:29-08:00\">"
       + "  <Transaction requestName=\"OrderRequest\">" 
       + "    <URL>" + punchoutURL + "</URL>"
       + "  </Transaction>"
       + "  <Transaction requestName=\"PunchOutSetupRequest\">"
       + "    <URL>" + punchoutURL + "</URL>"
       + "  </Transaction>"
       + "</ProfileResponse>"
       + "</Response>"
       + "</cXML>";
System.out.println("Profile Response:" + template);
 %><%= template %>
